package cn.com.countrygarden.bi.main.service.performance;


import cn.com.countrygarden.bi.main.core.Service;
import cn.com.countrygarden.bi.main.model.performance.PerformanceEnv;
import cn.com.countrygarden.bi.main.model.performance.PerformanceScore;

import java.util.List;

public interface PerformanceScoreService extends Service<PerformanceScore> {
    public List<PerformanceScore> selectList(PerformanceScore score);

    public int insertScoreList(List<PerformanceScore> scoreList);

    public void updateScoreList(List<PerformanceScore> scoreList);

    public PerformanceScore getByHierarchyId(PerformanceScore score);

    public PerformanceScore getscoreByHierarchyId(PerformanceScore score);

    public PerformanceScore getNewScore(PerformanceScore score);

    public void insertScore(PerformanceScore score);

    public void UpdateNewScore(PerformanceScore score);

    public List<PerformanceScore> selecnNewtList(PerformanceScore score);

    public PerformanceScore getTotalPage(PerformanceScore score);

    public void UpdateNewScoretwo(PerformanceScore score);

    public int insertScoreSelective(PerformanceScore score);

    void updateScoreSelective(PerformanceScore score);

    /**
     *
     *  保存季度平均分和季度总分
     *
     * @Author Geoffrey
     * @Date 2018/7/11 19:26
     * @param
     * @return
     */

    void saveQuartlyAverageScoreAndSumScore(int year, int quarter);

}
